felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Richard S. Hall (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (FELIX-288) autodetermined import versions cannot be changed
Date Thu, 17 May 2007 14:05:16 GMT

     [ https://issues.apache.org/jira/browse/FELIX-288?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Richard S. Hall resolved FELIX-288.
-----------------------------------

    Resolution: Fixed
      Assignee: Richard S. Hall

I updated BND to 140, so please close this if it is fixed. Thanks.

> autodetermined import versions cannot be changed
> ------------------------------------------------
>
>                 Key: FELIX-288
>                 URL: https://issues.apache.org/jira/browse/FELIX-288
>             Project: Felix
>          Issue Type: Bug
>          Components: Maven Bundle Plugin
>            Reporter: Costin Leau
>         Assigned To: Richard S. Hall
>
> From the mailing list
> > Import versions
> >
> > The import versions are determined automatically and can't be
> > overridden. For example inside Spring/OSGi, we import spring 2.0.5 and
> > the resulting imports have version 2.0.
> > We want to be more specific such as 2.0.5 or [2.0.5, 2.1) but whatever I
> > specify as import package is completely ignored.
> >
> I think this is a BND issue again, will raise it with Peter. 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message